<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>CellRangeAddress (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CellRangeAddress (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10,"i5":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CellRangeAddress.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/util/CellAddress.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/CellRangeAddress.html" target="_top">Frames</a>
        </li>
        <li><a href="CellRangeAddress.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ss.util.CellRangeAddressBase">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.util</div>
    <h2 title="Class CellRangeAddress" class="title">Class CellRangeAddress</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                       title="class in org.apache.poi.ss.util">org.apache.poi.ss.util.CellRangeAddressBase</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.ss.util.CellRangeAddress</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                                 title="class in org.apache.poi.ss.util">CellAddress</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">CellRangeAddress</span>
extends <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
           title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></pre>
                <div class="block">See OOO documentation: excelfileformat.pdf sec 2.5.14 - 'Cell Range Address'<p>

                    <p>In the Microsoft documentation, this is also known as a
                        Ref8U - see page 831 of version 1.0 of the documentation.

                        Note - <a href="../../../../../org/apache/poi/hssf/record/SelectionRecord.html"
                                  title="class in org.apache.poi.hssf.record"><code>SelectionRecord</code></a> uses the
                        BIFF5 version of this structure</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Dragos Buleandra (dragos.buleandra@trade2b.ro)</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ss.util.CellRangeAddressBase">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.ss.util.<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.CellPosition.html"
                                        title="enum in org.apache.poi.ss.util">CellRangeAddressBase.CellPosition</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html#ENCODED_SIZE">ENCODED_SIZE</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html#CellRangeAddress-int-int-int-int-">CellRangeAddress</a></span>(int&nbsp;firstRow,
                                    int&nbsp;lastRow,
                                    int&nbsp;firstCol,
                                    int&nbsp;lastCol)</code>
                                    <div class="block">Creates new cell range.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html#CellRangeAddress-org.apache.poi.hssf.record.RecordInputStream-">CellRangeAddress</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html#copy--">copy</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html#formatAsString--">formatAsString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html#formatAsString-java.lang.String-boolean-">formatAsString</a></span>(java.lang.String&nbsp;sheetName,
                                    boolean&nbsp;useAbsoluteAddress)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html#getEncodedSize-int-">getEncodedSize</a></span>(int&nbsp;numberOfItems)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html#serialize-org.apache.poi.util.LittleEndianOutput-">serialize</a></span>(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;ref)</code>
                                    <div class="block">Creates a CellRangeAddress from a cell range reference string.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.util.CellRangeAddressBase">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ss.util.<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddressBase</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#containsColumn-int-">containsColumn</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#containsRow-int-">containsRow</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#equals-java.lang.Object-">equals</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getFirstColumn--">getFirstColumn</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getFirstRow--">getFirstRow</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getLastColumn--">getLastColumn</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getLastRow--">getLastRow</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getMaxColumn--">getMaxColumn</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getMaxRow--">getMaxRow</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getMinColumn--">getMinColumn</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getMinRow--">getMinRow</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getNumberOfCells--">getNumberOfCells</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#getPosition-int-int-">getPosition</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#hashCode--">hashCode</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#intersects-org.apache.poi.ss.util.CellRangeAddressBase-">intersects</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#isFullColumnRange--">isFullColumnRange</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#isFullRowRange--">isFullRowRange</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#isInRange-org.apache.poi.ss.usermodel.Cell-">isInRange</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#isInRange-org.apache.poi.ss.util.CellAddress-">isInRange</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#isInRange-org.apache.poi.ss.util.CellReference-">isInRange</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#isInRange-int-int-">isInRange</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#iterator--">iterator</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#setFirstColumn-int-">setFirstColumn</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#setFirstRow-int-">setFirstRow</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#setLastColumn-int-">setLastColumn</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#setLastRow-int-">setLastRow</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#toString--">toString</a>,
                                    <a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html#validate-org.apache.poi.ss.SpreadsheetVersion-">validate</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="ENCODED_SIZE">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>ENCODED_SIZE</h4>
                                <pre>public static final&nbsp;int ENCODED_SIZE</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.ss.util.CellRangeAddress.ENCODED_SIZE">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="CellRangeAddress-int-int-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CellRangeAddress</h4>
                                <pre>public&nbsp;CellRangeAddress(int&nbsp;firstRow,
                        int&nbsp;lastRow,
                        int&nbsp;firstCol,
                        int&nbsp;lastCol)</pre>
                                <div class="block">Creates new cell range. Indexes are zero-based.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>firstRow</code> - Index of first row</dd>
                                    <dd><code>lastRow</code> - Index of last row (inclusive), must be equal to or larger
                                        than <code>firstRow</code></dd>
                                    <dd><code>firstCol</code> - Index of first column</dd>
                                    <dd><code>lastCol</code> - Index of last column (inclusive), must be equal to or
                                        larger than <code>firstCol</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="CellRangeAddress-org.apache.poi.hssf.record.RecordInputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>CellRangeAddress</h4>
                                <pre>public&nbsp;CellRangeAddress(<a
                                        href="../../../../../org/apache/poi/hssf/record/RecordInputStream.html"
                                        title="class in org.apache.poi.hssf.record">RecordInputStream</a>&nbsp;in)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="serialize-org.apache.poi.util.LittleEndianOutput-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;void&nbsp;serialize(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</pre>
                            </li>
                        </ul>
                        <a name="copy--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>copy</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;copy()</pre>
                            </li>
                        </ul>
                        <a name="getEncodedSize-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getEncodedSize</h4>
                                <pre>public static&nbsp;int&nbsp;getEncodedSize(int&nbsp;numberOfItems)</pre>
                            </li>
                        </ul>
                        <a name="formatAsString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>formatAsString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;formatAsString()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the text format of this range. Single cell ranges are formatted
                                        like single cell references (e.g. 'A1' instead of 'A1:A1').
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="formatAsString-java.lang.String-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>formatAsString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;formatAsString(java.lang.String&nbsp;sheetName,
                                       boolean&nbsp;useAbsoluteAddress)</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the text format of this range using specified sheet name.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;valueOf(java.lang.String&nbsp;ref)</pre>
                                <div class="block">Creates a CellRangeAddress from a cell range reference string.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>ref</code> - usually a standard area ref (e.g. "B1:D8"). May be a single
                                        cell ref (e.g. "B5") in which case the result is a 1 x 1 cell
                                        range. May also be a whole row range (e.g. "3:5"), or a whole
                                        column range (e.g. "C:F")
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/CellRangeAddress.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/util/CellAddress.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/util/CellRangeAddressBase.html"
               title="class in org.apache.poi.ss.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/util/CellRangeAddress.html" target="_top">Frames</a>
        </li>
        <li><a href="CellRangeAddress.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ss.util.CellRangeAddressBase">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
